5

I use Ubuntu 16.04 LTS . HPLIP 3.16.3 comes with this . I have bought a new printer LaserJet Pro MFP M130nw which requires a minimum of HPLIP 3.16.11.

I downloaded from the HP Developer website the Automatic Installer (.run file ) Download HPLIP 3.20.5 . and then ran the Automatic Installer .

The process went well until the HP-PLUGIN failed -see log below

HP Linux Imaging and Printing System (ver. 3.20.5)
Plugin Installer ver. 3.0
Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.
Plug-in version: 3.20.5
Installed HPLIP version: 3.20.5
Number of files to install: 64
Plugin installation failed
error: Python gobject/dbus may be not installed
error: Plug-in install failed.
Done.

A newbie question - how do I install “Python gobject/dbus “ ?

4
  • sudo apt install python-gobject should work. IIRC there is number of packages that HPLIP depends on which do not get installed automatically this way. python-gobject may only be the first of the series. But hang on, eventually it will get installed.
    – Jos
    Jun 15, 2020 at 10:54
  • @jos That That has not worked. jm@jm-OptiPlex-9020:~$ sudo apt install python-gobject [sudo] password for jm: Reading package lists... Done Building dependency tree Reading state information... Done python-gobject is already the newest version (3.20.0-0ubuntu1). 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. jm@jm-OptiPlex-9020:~$
    – user60510
    Jun 15, 2020 at 12:43
  • According to HP - you device does not require plugin. It should simply work.
    – N0rbert
    Jun 15, 2020 at 14:38
  • @N0rbert . I agree that according to HP the device does not require a plugin . The printer works but the scanner does not . When I try to scan I receive a message from the HP device manager " Driver Plugin required "
    – user60510
    Jun 16, 2020 at 6:28

1 Answer 1

6

This worked for me . Now Plug-in installation successful .

Install apparmor utils

sudo apt-get install apparmor-utils

Run

sudo aa-disable /usr/share/hplip/plugin.py

Run as normal user, not as root:

hp-plugin
1
  • The suggested answer worked for me with Laserjet MP M148dw Aug 18, 2021 at 19:54

Not the answer you're looking for? Browse other questions tagged or ask your own question.